#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		debug_package	%{nil}
#-----------------------------------------------------------------------------
Name		:	pyproject-rpm-macros
Version		:	1.2.0
Release		:	14.4.0.0%{?dist}
Summary		:	RPM macros for PEP 517 Python packages

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT

Source0		:	%{name}-%{version}.tar.gz
Source1		:	%{name}-ok_addon.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	python-rpm-macros

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
These macros allow projects that follow the Python packaging specifications
to be packaged as RPMs.

They work for:

* traditional Setuptools-based projects that use the setup.py file,
* newer Setuptools-based projects that have a setup.cfg file,
* general Python projects that use the PEP 517 pyproject.toml file
  (which allows using any build system, such as setuptools, flit or poetry).

These macros replace %%py3_build and %%py3_install,
which only work with setup.py.

#-----------------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%doc %{name}-ok_addon/README.md
%license %{name}-ok_addon/LICENSE
%{_rpmmacrodir}/macros.pyproject
%{_rpmconfigdir}/redhat/pyproject_buildrequires.py
%{_rpmconfigdir}/redhat/pyproject_convert.py
%{_rpmconfigdir}/redhat/pyproject_save_files.py
%{_rpmconfigdir}/redhat/pyproject_preprocess_record.py
%{_rpmconfigdir}/redhat/pyproject_construct_toxenv.py
%{_rpmconfigdir}/redhat/pyproject_requirements_txt.py
%{_rpmconfigdir}/redhat/pyproject_wheel.py

#=============================================================================
%prep 
%setup -q
tar xf %{SOURCE1}

#-----------------------------------------------------------------------------
%build 
# nothing to do, sources are not buildable

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__mkdir_p}						\
	%{buildroot}%{_rpmmacrodir}			\
	%{buildroot}%{_rpmconfigdir}/redhat

pushd %{name}-ok_addon > /dev/null 2>&1
install -m 644 macros.pyproject %{buildroot}%{_rpmmacrodir}/
install -m 644 pyproject_buildrequires.py %{buildroot}%{_rpmconfigdir}/redhat/
install -m 644 pyproject_convert.py %{buildroot}%{_rpmconfigdir}/redhat/
install -m 644 pyproject_save_files.py  %{buildroot}%{_rpmconfigdir}/redhat/
install -m 644 pyproject_preprocess_record.py %{buildroot}%{_rpmconfigdir}/redhat/
install -m 644 pyproject_construct_toxenv.py %{buildroot}%{_rpmconfigdir}/redhat/
install -m 644 pyproject_requirements_txt.py %{buildroot}%{_rpmconfigdir}/redhat/
install -m 644 pyproject_wheel.py %{buildroot}%{_rpmconfigdir}/redhat/
popd > /dev/null 2>&1

#-----------------------------------------------------------------------------
%changelog
